/// api_version=2
var script = registerScript({
    name: "AntiKnockBack",
    version: "1.0",
    authors: ["FaaatPotato"]
});

script.on("enable", function () {});

script.on("disable", function () {});

script.on("load", function () {});

script.registerModule({
    name: "AntiKnockBack",
    description: "AAC Velocity.",
    category: "Combat",
    tag: "AAC",
    settings: {}

}, function (module) {
    module.on("enable", function () {
        module.settings.Text.set("Made by FaaatPotato")
        module.tag = "Enabled"
        chat.print(module.settings.Text.get())
    });
    module.on("disable", function () {
        module.settings.Text.set("Made by FaaatPotato")
        module.tag = "Disabled"
        chat.print(module.settings.Text.get())
    });
    module.on("update", function () {
    	if (mc.thePlayer.hurtTime > 0) {
    		mc.thePlayer.onGround = true
    	}
    });

});